### calculate different GC distribution of genome and genes####
pdf("GC_distribution.pdf")

library(RColorBrewer)
hmcol <- colorRampPalette(brewer.pal(9, "YlGnBu"))(6)
GC_dis<- read.csv("GC-distribution.csv",header=T,row.names=1)
rowname<-GC[,1]
#hmcol<-c("tomato","sienna","red","orangered","hotpink","deeppink","brown")
matplot(rowname,GC_dis,type="l",lty=1,lwd=2,col=hmcol,xlab="GC content",ylab="percentage")
legend("topright",lty=1,lwd=2,col=hmcol,legend=names(GC_dis))
dev.off()
