library(ggplot2)
gene_distribution = read.csv("five_swissprot.csv",header = T)
#tail(gene_distribution)
attach(gene_distribution)
#ggplot(gene_distribution,aes(Num,fill=Type,colour=Type))+ geom_density(alpha=0.1)+xlim(0,20000)
ggplot(gene_distribution,aes(Coverage,fill=Species,colour=Species))+
  xlab("SwissProt coverage (%)")+ ylab("Density")+geom_density(alpha=0.1)+ 
  scale_x_continuous(limits = c(0, 100)) +  
  theme_bw()+
  theme(plot.background = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.background = element_blank()
  )+
  theme(legend.justification = c(0, 1), legend.text= element_text(face="italic"),legend.position = c(0, 1))
