#!/usr/bin/perl
#Author:Xin Wang <wang.xin@kaust.edus.sa>
#date:2015/5/21
#Description:the program do trimAL filter alignment from multiple muscle alignment
use strict;
use warnings;
use Getopt::Long;
my $ver="1.0";
my %opts;
GetOptions(\%opts,"i:s","o:s","h");
my $usage=<<"USAGE";
Program:$0
Contact:Wang Xin <wang.xin\@kaust.edu.sa>
Usage: $0 -i muscle alignment -o output of trimAl 
-h display usage
USAGE
die $usage if (!defined $opts{i}|| !defined $opts{o} || defined $opts{h});
my $Time_Start =scalar (localtime(time())); 
#print "Start time is $Time_Start\n";
#print "*********************************
#Running.....\n*********************************\n";
my $input=$opts{i};
my $output=$opts{o};
open IN,"$input" or die "$!";
my $i=1;my %hash;
if (-d $output)
{
}
else
{
	system ("mkdir $output");
}
while (<IN>)
{
	chomp;
	if ($_=~/\*\*\*/){
		$i++;
		$hash{$i}++;
		next;
	}

	open OUT,">>$output/$i.msl" or die "$!";
	print OUT "$_\n";
	close OUT;
}
close IN;
chdir ($output);
foreach my $m(sort keys %hash){
	#print "$m\n";
	my $cmd="/home/xinw/software/Gblocks_0.91b/Gblocks  $m.msl -t=p  -b4=5";
	print "$cmd\n";
	system ($cmd);
}
