
setwd("Desktop/")
ortholog_ks<-read.csv("five_gene_length.csv",header = T)
attach(ortholog_ks)

library(ggplot2)
m<-ggplot(ortholog_ks,aes(length,col=Name))

m+geom_density(adjust=1,alpha = 0.1)+
  scale_x_continuous(limits = c(0,20000),breaks=seq(0,20000,2000),labels=seq(0,20000,2000))+
  theme_bw()+
  theme(plot.background = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),

        panel.background = element_blank()
        )+
  theme(legend.justification = c(1, 1), legend.position = c(1, 1)) +xlab("Gene Length") +ylab("Density")
summary(ReadLength)
dev.off()

