#!/usr/bin/perl -w
use strict;

my %comp = ();
open( I, "<$ARGV[1]" );
while (<I>) {
    chomp;
    if (/^$/) { next }
    my @tmp = split /\t/;
    if ( $tmp[2] eq "gene" ) {
        my ($id) = $tmp[8] =~ /ID=([^\;]*)/;
        if (/complete/) { $comp{$id} = 1 }
    }
}
close I;

open( I, "<$ARGV[0]" );
my $ok         = 0;
my $ec         = 0;
my $least_exon = 3;
$least_exon = $ARGV[2] if ( defined $ARGV[2] && $ARGV[2] =~ /^\d+$/ );
my $o = "";
while (<I>) {
    chomp;
    if ( !(/^$/) ) {
        my @tmp = split /\t/;
        if ( $tmp[2] eq "gene" ) {
            my ($id) = $tmp[8] =~ /ID=([^\;]*)/;
            if ( exists $comp{$id} ) { $ok = 1 }
        }
    }
    if (/CDS/) { $ec++ }
    if ( $ok == 1 ) { $o .= "$_\n"; }
    if (/^$/) {
        if ( ( $ec >= $least_exon ) && ( $ok == 1 ) ) { print "$o\n" }
        $ok = 0;
        $o  = "";
        $ec = 0;
    }
}
close I;
